package fr.iutlille.ctp_2025;

import android.provider.Telephony;

public class Participant {
    private static int nbParts;
    private final String name;
    private double payed;
    private static double totalAmount;
    private double balance = 0;
    public Participant(String name) {
        this.name = name;
        this.payed = 0;
    }

    public static void setNbParts(int nbParts) {
        Participant.nbParts = nbParts;
        Participant.totalAmount = 0;
    }
    public void clearBalance() {
        this.balance = 0;
        this.payed = 0;
    }

    public void addExpense(double amount) {
        this.payed += amount;
        Participant.totalAmount += amount;
    }

    public double getBalance() {
        return (Participant.totalAmount / nbParts) - this.payed;
    }

    public String getName() {
        return name;
    }
}
